Subject: Re: [PATCH][PACKET] Remove unneeded packet_socks_nr variable

From: "Arnaldo Carvalho de Melo" <[email-masked]>
Date: Wed, 7 Nov 2007 13:53:01 -0200

Em Wed, Nov 07, 2007 at 01:50:04PM -0200, Arnaldo Carvalho de Melo escreveu:
> Em Wed, Nov 07, 2007 at 06:32:51PM +0300, Pavel Emelyanov escreveu:
> > This one is used only under ifdef PACKET_REFCNT_DEBUG in
> > printk and is not needed otherwise. So hide all this stuff
> > under the PACKET_REFCNT_DEBUG.
> > 
> > Signed-off-by: Pavel Emelyanov <[email-masked]>
> 
> Look at sk_refcnt_debug_inc, etc and you'll se a more standard way. I
> forgot to make this when making all protocol families use sk_prot, even
> if just partially :-)

As a bonus you'll get this information on /proc/net/protocols, removing
'-1' from PACKET column for "sockets".

- Arnaldo